%define patch_name	kernel-feat-drivers-net-sk98lin

Name: %patch_name
Version: 8.23
Release: alt1
Summary: Marvell Yukon/SysKonnect SK-98xx Gigabit Ethernet Adapter driver
License: GPL
Group: Development/Kernel
URL: http://www.syskonnect.de/syskonnect/support/driver/ge.htm
BuildArch: noarch
BuildRequires: kernel-build-tools

%define version_tag	%(echo %version | sed -e 'y/./_/')

Source0: http://www.syskonnect.com/syskonnect/support/driver/zip/linux/install-%version_tag.tar.bz2
Source1: %name.sh

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
The sk98lin driver supports the Marvell Yukon, Yukon EC/FE, Yukon 2 and
SysKonnect SK-98xx/SK-95xx compliant Gigabit Ethernet Adapter on Linux.
An older version of this driver is already included in 2.4.x and 2.6.x
Linux kernels; this version supports more adapters (especially Yukon 2
series, which is not supported by the 6.x driver).

%prep
%setup -q -c
%__mkdir sources
%__tar -xj -f DriverInstall/sk98lin.tar.bz2 -C sources
%setup -D -T

find . -name '*.orig' -print -delete

%install
%__mkdir_p %patches_dir/%patch_name
%__cp -pr sources/* %patches_dir/%patch_name/
%__install -pD %SOURCE1 %patches_dir/apply/%patch_name

%files
%_usrsrc/*

%changelog
* Sun Aug 14 2005 Sergey Vlasov <vsu@altlinux.ru> 8.23-alt1
- Updated to 8.23.
- Dropped sk98lin-8.16-pci_name.patch (not needed for 8.23).

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 8.16-alt2
- Added:
  + sk98lin-8.16-pci_name.patch: fix compilation with kernel 2.6.12.

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 8.16-alt1
- Updated to 8.16.
- Changed patching method to apply script (which just replaces old files with
  the version supplied in the tarball).
- Now both 2.4.x and 2.6.x kernels are supported.

* Sun Feb 01 2004 Sergey Vlasov <vsu@altlinux.ru> 6.21-alt1
- Updated to 6.21 (sync with 2.4.25-bk current).
- Spec cleanup; fixed Group.

* Wed Sep 10 2003 Rider <rider@altlinux.ru> 6.17-alt1
- initial build for ALT Linux
